OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
SparseToDenseCompositor< CompositeMethod, _TreeT > Class Template Reference

`#include <DenseSparseTools.h>`

## Public Types
typedef _TreeT | TreeT
typedef TreeT::ValueType | ValueT
typedef TreeT::LeafNodeType | LeafT
typedef TreeT::template ValueConverter< ValueMask >::Type | MaskTreeT
typedef MaskTreeT::LeafNodeType | MaskLeafT
typedef Dense< ValueT, openvdb::tools::LayoutZYX > | DenseT
typedef openvdb::math::Coord::ValueType | Index
typedef tbb::blocked_range3d< Index, Index, Index > | Range3d

## Public Member Functions
| SparseToDenseCompositor (DenseT &dense, const TreeT &source, const TreeT &alpha, const ValueT beta, const ValueT strength)
| SparseToDenseCompositor (const SparseToDenseCompositor &other)
void | sparseComposite (bool threaded)
void | operator() (const MaskLeafT &maskLeaf, size_t) const
void | denseComposite (bool threaded)
void | operator() (const Range3d &range) const

## Static Public Member Functions
template<typename LeafT1 , typename LeafT2 >
static void | compositeFromLeaf (DenseT &dense, const openvdb::math::CoordBBox &bbox, const LeafT1 &source, const LeafT2 &alpha, const ValueT beta, const ValueT strength)
static void | compositeFromTile (DenseT &dense, openvdb::math::CoordBBox &bbox, const ValueT &sourceValue, const ValueT &alphaValue, const ValueT &beta, const ValueT &strength, bool threaded)

## Member Typedef Documentation

## ◆ DenseT

typedef Dense<ValueT, openvdb::tools::LayoutZYX> DenseT

## ◆ Index

typedef openvdb::math::Coord::ValueType Index

## ◆ LeafT

typedef TreeT::LeafNodeType LeafT

## ◆ MaskLeafT

typedef MaskTreeT::LeafNodeType MaskLeafT

## ◆ MaskTreeT

typedef TreeT::template ValueConverter<ValueMask>::Type MaskTreeT

## ◆ Range3d

typedef tbb::blocked_range3d<Index, Index, Index> Range3d

## ◆ TreeT

typedef _TreeT TreeT

## ◆ ValueT

typedef TreeT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ SparseToDenseCompositor() [1/2]

SparseToDenseCompositor | ( | DenseT & | dense,
|  | const TreeT & | source,
|  | const TreeT & | alpha,
|  | const ValueT | beta,
|  | const ValueT | strength
| ) |  |
| inline

## ◆ SparseToDenseCompositor() [2/2]

SparseToDenseCompositor | ( | const SparseToDenseCompositor< CompositeMethod, _TreeT > & | other | ) |
| inline

## Member Function Documentation

## ◆ compositeFromLeaf()

static void compositeFromLeaf | ( | DenseT & | dense,
|  | const openvdb::math::CoordBBox & | bbox,
|  | const LeafT1 & | source,
|  | const LeafT2 & | alpha,
|  | const ValueT | beta,
|  | const ValueT | strength
| ) |  |
| inline static

## ◆ compositeFromTile()

static void compositeFromTile | ( | DenseT & | dense,
|  | openvdb::math::CoordBBox & | bbox,
|  | const ValueT & | sourceValue,
|  | const ValueT & | alphaValue,
|  | const ValueT & | beta,
|  | const ValueT & | strength,
|  | bool | threaded
| ) |  |
| inline static

## ◆ denseComposite()

void denseComposite | ( | bool | threaded | ) |
| inline

## ◆ operator()() [1/2]

void operator() | ( | const MaskLeafT & | maskLeaf,
|  | size_t |
| ) |  | const
| inline

## ◆ operator()() [2/2]

void operator() | ( | const Range3d & | range | ) | const
| inline

## ◆ sparseComposite()

void sparseComposite | ( | bool | threaded | ) |
| inline

The documentation for this class was generated from the following file:

- DenseSparseTools.h